/ / Django 1.5: Python 2.7 o Python 3 - django, python-2.7, python-3.x

Django 1.5: Python 2.7 o Python 3 - django, python-2.7, python-3.x

Django acaba de lanzar su versión 1.5.

Ahora es compatible con Python 3, mi pregunta es bastantesimple de hecho: con esta versión 1.5, ¿debería seguir usando Python 2.7 o Python 3? Supongo que con Python 3 habrá algunos problemas con la aplicación de terceros no?

En tu caso, ¿qué harías?

Respuestas

5 para la respuesta № 1

Las notas de la versión indican claramente que el soporte de Python 3 en 1.5 es experimental. Y sí, las aplicaciones de terceros serán un problema.


0 para la respuesta № 2

Si estuviera comenzando un nuevo desarrollo que yono esperaba entrar en funcionamiento hasta mucho después de la publicación de la versión 1.6 (cuando se supone que el soporte de Python 3 está listo para producción, y con suerte las aplicaciones de terceros se han puesto al día), entonces sí, iría con Python 3. Es significativamente más limpio que Python 2.7.

Pero si quiere que su sitio esté en funcionamiento en un futuro próximo, quédese con 2.7.


0 para la respuesta № 3

Todavía usaría Python 2.7 porque muchas aplicaciones y bibliotecas no están listas para Python 3.x

PIL no funciona correctamente con python 3